<template lang="pug">
  el-dialog( :close-on-click-modal='false' :visible.sync='visible' :modal-append-to-body='false')
    div.title-bold(slot='title') 应急部门详情
    el-form(:model='dataForm',  ref='dataForm',  label-width='120px')
      el-row()
        el-col(:span='12')
          el-form-item(label="应急部门名称:" )
              el-input.mywidth(v-model='dataForm.name' placeholder="请输入应急部门名称"  clearable readonly)
        el-col(:span='12')
          el-form-item(label="联系电话:")
            el-input.mywidth(v-model='dataForm.linkphone' placeholder="请输入联系电话"  clearable readonly)
        el-col(:span='24')
          el-form-item(label="应急部门地址:" )
            el-input.mywidth(v-model='dataForm.address' placeholder="请输入应急部门地址"  clearable readonly)
        el-col(:span='12')
          el-form-item(label="部门负责人:")
            el-input.mywidth(v-model='dataForm.leader' placeholder="请输入部门负责人"  clearable readonly)
        el-col(:span='12')
          el-form-item(label="部门负责人电话:")
            el-input.mywidth(v-model='dataForm.leaderPhone' placeholder="请输入部门负责人电话"  clearable readonly)
        el-col(:span='24')
          el-form-item(label="部门职责:")
            el-input.mywidth(v-model="dataForm.duty"  type="textarea" :rows="3" resize="none" placeholder="请输入部门职责" readonly)
        el-col(:span='24')
          el-form-item(label="备       注:")
            el-input.mywidth(v-model="dataForm.remark"  type="textarea" :rows="3" resize="none" placeholder="请输入备注" readonly)
    div
    span.dialog-footer(slot='footer')
      el-button(size='medium' type='primary' @click='visible = false') 关闭
</template>

<script>
export default {
  data () {
    return {
      dataList: [],
      dataListLoading: false,
      visible: false,
      dataForm: {}
    }
  },
  methods: {
    init (row) {
      this.visible = true
      this.dataForm = row
      console.log(row)
    }
  }
}
</script>
<style>
.el-table__header {
  width: 100% !important;
}
.el-table__body {
  width: 100% !important;
}
</style>
